JackTrip

jacktrip_types.h File Reference
`#include <QtGlobal>`
Include dependency graph for jacktrip_types.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Typedefs
Audio typedefs
typedef float | sample_t
| Audio sample type. More...
Typedefs that guaranty some specific bit length
It uses the QT4 types. This can be changed in the future, keeping compatibility for the rest of the code.
typedef quint8 | uint8_t
| Typedef for `unsigned char`. This type is guaranteed to be 8-bit. More...
typedef quint16 | uint16_t
| Typedef for `unsigned short`. This type is guaranteed to be 16-bit. More...
typedef quint32 | uint32_t
| Typedef for `unsigned int`. This type is guaranteed to be 32-bit. More...
typedef qint8 | int8_t
| Typedef for `unsigned long long int`. This type is guaranteed to be 64-bit. More...
typedef qint16 | int16_t
| Typedef for `signed short`. This type is guaranteed to be 16-bit. More...
typedef qint32 | int32_t
| Typedef for `signed int`. This type is guaranteed to be 32-bit. More...

## Typedef Documentation

## ◆ int16_t

typedef qint16 int16_t

Typedef for `signed short`. This type is guaranteed to be 16-bit.

## ◆ int32_t

typedef qint32 int32_t

Typedef for `signed int`. This type is guaranteed to be 32-bit.

## ◆ int8_t

typedef qint8 int8_t

Typedef for `unsigned long long int`. This type is guaranteed to be 64-bit.

Typedef for `signed char`. This type is guaranteed to be 8-bit.

## ◆ sample_t

typedef float sample_t

Audio sample type.

## ◆ uint16_t

typedef quint16 uint16_t

Typedef for `unsigned short`. This type is guaranteed to be 16-bit.

## ◆ uint32_t

typedef quint32 uint32_t

Typedef for `unsigned int`. This type is guaranteed to be 32-bit.

## ◆ uint8_t

typedef quint8 uint8_t

Typedef for `unsigned char`. This type is guaranteed to be 8-bit.